/**************************************************************************
 *
 * Filename:    TimebaseInfo.java
 *
 * Copyright:   Pico Technology Limited 2011
 *
 * Author:      HSM
 *
 * Description:
 *      This is a wrapper class for information relating to the timebase.
 *	
 * History:
 *     18Aug11 HSM Created
 *
 * Revision Info: "file %n date %f revision %v"
 *						""
 *
 ***************************************************************************/
package com.picotech.picoscope;

/**
 *
 * @author hitesh
 */
public class TimebaseInfo 
{
    private int timeInterval;
    private short timeUnits;
    private int maxSamples;

    /**
     * Wrapper object to pass data to wrapper dll
     */
    public TimebaseInfo() 
    {
        // Set arbitrary values
        timeInterval = 0;
        timeUnits = 0;
        maxSamples = 0;
    }
    
    
    /**
     * 
     * @return 
     */
    public int getMaxSamples() 
    {
        return maxSamples;
    }

    /**
     * 
     * @param max_samples 
     */
    public void setMaxSamples(int max_samples) 
    {
        maxSamples = max_samples;
    }

    /**
     * 
     * @return 
     */
    public int getTimeInterval() 
    {
        return timeInterval;
    }

    /**
     * 
     * @param time_interval 
     */
    public void setTimeInterval(int time_interval) 
    {
        timeInterval = time_interval;
    }

    /**
     * 
     * @return 
     */
    public short getTimeUnits() 
    {
        return timeUnits;
    }

    /**
     * 
     * @param time_units 
     */
    public void setTimeUnits(short time_units) 
    {
        timeUnits = time_units;
    }
    
    
    
    
}
