/**************************************************************************
 *
 * Filename:    PS2000PwqConditions.java
 *
 * Copyright:   Pico Technology Limited 2011
 *
 * Author:      HSM
 *
 * Description:
 *   This class deals with Pulse Width Qualifier conditions.
 *
 * History:
 *     27Jul11 HSM Created
 *
 * Revision Info: "file %n date %f revision %v"
 *						""
 *
 ***************************************************************************/

package com.picotech.picoscope.ps2000;

import com.picotech.picoscope.ps2000.PS2000Data.EnPS2000TriggerState;


/**
 *
 * @author hitesh
 */
public class PS2000PwqConditions 
{
    private PS2000Data.EnPS2000TriggerState channelA;
    private PS2000Data.EnPS2000TriggerState channelB;
    private PS2000Data.EnPS2000TriggerState channelC;
    private PS2000Data.EnPS2000TriggerState channelD;
    private PS2000Data.EnPS2000TriggerState external;

    public PS2000PwqConditions() 
    {
        
    }

    public EnPS2000TriggerState getChannelA() 
    {
        return channelA;
    }

    public EnPS2000TriggerState getChannelB() 
    {
        return channelB;
    }

    public EnPS2000TriggerState getChannelC() 
    {
        return channelC;
    }

    public EnPS2000TriggerState getChannelD() 
    {
        return channelD;
    }

    public EnPS2000TriggerState getExternal() 
    {
        return external;
    }
    
    
    
    
}
